<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.njcn.gather</groupId>
        <artifactId>CN_Gather</artifactId>
        <version>1.0.0</version>
    </parent>
    <artifactId>detection</artifactId>

    <dependencies>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>njcn-common</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>mybatis-plus</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>spingboot2.3.12</artifactId>
            <version>2.3.12</version>
        </dependency>
        <dependency>
            <groupId>com.njcn.gather</groupId>
            <artifactId>system</artifactId>
            <version>1.0.0</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.83</version>
        </dependency>
        <dependency>
            <groupId>com.njcn.gather</groupId>
            <artifactId>storage</artifactId>
            <version>1.0.0</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>io.netty</groupId>
            <artifactId>netty-all</artifactId>
            <version>4.1.68.Final</version>
        </dependency>
        <!-- WordToHtml .doc .odcx  poi  -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-scratchpad</artifactId>
            <version>4.1.2</version>
        </dependency>
        <!-- 操作excel的库 注意版本保持一致 poi poi-ooxml  poi-scratchpad -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>4.1.2</version>
        </dependency>
        <!--poi-ooxml和*poi-ooxml-schemas*是poi对2007及以上版本的扩充。-->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml-schemas</artifactId>
            <version>4.1.2</version>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>4.1.2</version>
        </dependency>

        <!-- https://mvnrepository.com/artifact/org.docx4j/docx4j -->
<!--        <dependency>-->
<!--            <groupId>org.docx4j</groupId>-->
<!--            <artifactId>docx4j-core</artifactId>-->
<!--            <version>8.3.8</version>-->
<!--        </dependency>-->
        <dependency>
            <groupId>jakarta.xml.bind</groupId>
            <artifactId>jakarta.xml.bind-api</artifactId>
            <version>2.3.3</version>
        </dependency>

        <dependency>
            <groupId>org.glassfish.jaxb</groupId>
            <artifactId>jaxb-runtime</artifactId>
            <version>2.3.3</version>
        </dependency>
        <dependency>
            <groupId>org.docx4j</groupId>
            <artifactId>docx4j</artifactId>
            <version>6.1.0</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
            <version>2.12.0</version> <!-- 您可以根据需要选择其他版本 -->
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-core</artifactId>
            <version>2.12.0</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
            <version>2.12.0</version>
        </dependency>

        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>RestTemplate-plugin</artifactId>
            <version>1.0.0</version>
        </dependency>

        <dependency>
            <groupId>commons-net</groupId>
            <artifactId>commons-net</artifactId>
            <version>3.10.0</version>
        </dependency>


        <!--波形工具模块-->
        <dependency>
            <groupId>com.njcn.gather</groupId>
            <artifactId>wave-comtrade</artifactId>
            <version>1.0.0</version>
        </dependency>

        <!--报告工具模块-->
        <dependency>
            <groupId>com.njcn.gather</groupId>
            <artifactId>report-generator</artifactId>
            <version>1.0.0</version>
        </dependency>
        <!--激活工具-->
        <dependency>
            <groupId>com.njcn.gather</groupId>
            <artifactId>activate-tool</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>


</project>
